<?php
require_once("lib.php");
//require_once("config.php");
//require_once("messages.php");
function DectoHex($num,&$result){//convierte un valor en hexadecimal a decimal
$pri=floor($num/16);
$seg=floor($num%16);
$result="00";
if ($pri==10) 
    $pri='A';
   else 
	if ($pri==11) 
	    $pri='B';
	    else
		 if ($pri==12) 
			 $pri='C';
			else
		     if ($pri==13) 
				$pri='D';
			   else
			 	if ($pri==14) 
					$pri='E';
			       else
			        if ($pri==15) 
						$pri='F';
if ($seg==10) 
	$seg='A';
  else 
    if ($seg==11) 
	   $seg='B';
	  else
	   if ($seg==12) 
	      $seg='C';
	     else
	       if ($seg==13) 
			   $seg='D';
			  else
				if ($seg==14) 
					$seg='E';
				   else
					if ($seg==15) 
						$seg='F';
	
$result[0]=$pri;
$result[1]=$seg;
}
function hextodec($hex,&$dec){//convierte un valor en hexadecimal a decimal
 	$pri=substr($hex,0,1);
 	$seg=substr($hex,1,1);
  if ($pri==A||$pri==a) 
  	  $pri=10;
  	else 
		  if ($pri==B||$pri==b) 
			  $pri=11;
			else
				if ($pri==C||$pri==c) 
					$pri=12;
				else
					if ($pri==D||$pri==d) 
						$pri=13;
					else
						if ($pri==E||$pri==e) 
							$pri=14;
						else
							if ($pri==F||$pri==f) 
								$pri=15;
	if ($seg==A||$seg==a) 
		  $seg=10;
	  else 
		  if ($seg==B||$seg==b) 
			  $seg=11;
			else
				if ($seg==C||$seg==c) 
					$seg=12;
				else
					if ($seg==D||$seg==d) 
						$seg=13;
					else
						if ($seg==E||$seg==e) 
							$seg=14;
						else
							if ($seg==F||$seg==f) 
								$seg=15;
  
	$dec=16*$pri+$seg;
 }//HextoDec
function minimo($A,$B,&$min){
	$min=$A;
	if($A>$B)
		$min=$B;
	}//minimo
function maximo($A,$B,&$max){
	$max=$A;
	if($A<$B)
		$max=$B;
	}//max
function fcontrast($color1,$color2){//le pasamos $color ke sera con el color ke keremos contrastar
	//calculamos los maximos y minimos de cada componente de los dos colores
	$c1R=substr($color1, 0, 2);		hextodec($c1R,&$c1R);
	$c1G=substr($color1, 2, 2); 	hextodec($c1G,&$c1G);
	$c1B=substr($color1, 4, 2); 	hextodec($c1B,&$c1B);
	
	$c2R=substr($color2, 0, 2);		hextodec($c2R,&$c2R);
	$c2G=substr($color2, 2, 2); 	hextodec($c2G,&$c2G);
	$c2B=substr($color2, 4, 2); 	hextodec($c2B,&$c2B);
	
	maximo($c1R,$c2R,$Cr);minimo($c1R,$c2R,$Cmr);
	maximo($c1G,$c2G,$Cg);minimo($c1G,$c2G,$Cmg);
	maximo($c1B,$c2B,$Cb);minimo($c1B,$c2B,$Cmb);
	
	$contrast=($Cr-$Cmr) + ($Cg-$Cmg) + ($Cb-$Cmb);
return $contrast;
   }//fcontrast
   
function fbrillo($color1,&$brillo){
	$c1R=substr($color1, 0, 2);		hextodec($c1R,&$c1R); echo $c1R.'<-c1R <br>';
	$c1G=substr($color1, 2, 2); 	hextodec($c1G,&$c1G); echo $c1G.'<-c1G <br>';
	$c1B=substr($color1, 4, 2); 	hextodec($c1B,&$c1B); echo $c1B.'<-c1B <br>';
	$brillo=($c1R*299+$c1G*587+$c1B*114)/1000;
	}//fbrillo

function ColorTexto($color){

			$Nnegro=fcontrast($color,'000000',$contraste);
			$Nblanco=fcontrast($color,'FFFFFF',$contraste);

	    if ($Nnegro>$Nblanco) 
	   		return '000000';
		else
	   		return 'FFFFFF';
			
 }//function ValuaContraste	

/*
function colores($color){
	for($i=0;$i<8;$i++)
		echo '<div class="color" style="background-color:#'$color[$i]'"></div>;'

}*/
/*
$color[0]='FF0000';
$color[1]='FFFFFF';
$color[2]='000000';
fcontrast($color[1],$color[2],$contraste);
echo $contraste.'<-contraste <br>';
fbrillo($color1,$brillo1);
echo $brillo1.'<-brillo1 <br>';
fbrillo($color2,$brillo2);
echo $brillo2.'<-brillo2 <br>';

hextodec(00,&$dec);
echo $dec.'<-prueba del 00 <br>';*/
?>